# Initial SPEC file for blackPanther OS distribution
# Main developer Charles Barcza - kbarcza AT blackpanther DOT hu
# blackPanther OS - www.blackpantheros.eu


Name:           google-drive-ocamlfuse
Version:        20150125
Release:        %mkrel 0.2
Summary:        FUSE filesystem backed by Google Drive
License:        MIT
Group:          Development/OCaml
URL:            http://github/astrada
Source0:        %name-%{version}.tar.bz2
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlidl-devel >= 1.05-13
BuildRequires:  ocaml-gapi-devel >= 0.2.6
BuildRequires:  ocaml-sqlite3-devel  >= 2.0.6
BuildRequires:  ocaml-fuse-devel >= 2.7
Requires:	ocaml-fuse >= 2.7
Requires:  	ocaml-sqlite3 >= 2.0.6
BuildRequires:  ocaml-gapi >= 0.2.6

%description
google-drive-ocamlfuse is a FUSE filesystem backed by Google Drive, written in OCaml. 
It lets you mount your Google Drive on Linux.

Features
Full read/write access to ordinary files and folders
Read-only access to Google Docs, Sheets, and Slides (exported to configurable formats)
Multiple account support
Duplicate file handling
Access to trash (.Trash directory)

%prep
%setup -q -n %{name}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --bindir %{_bindir} \
    --datadir %{_datadir} \
    --destdir %{buildroot}

ocaml setup.ml -build 

%install
rm -rf %{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
ocaml setup.ml -install

%files
%doc README.md doc LICENSE
%{_bindir}/%name

%changelog
* Sun Jan 25 2015 Charles Barcza <info@blackpanther.hu> 
- build for blackPanther OS v14.x
- fix buildrequires
- fix dependencies
- clean configure
------------------------------------------------------------------
* Sat Jan 24 2015 Charles Barcza <info@blackpanther.hu> 
- build for blackPanther OS v14.x
------------------------------------------------------------------
